Subject: Can not play audio with screen off

From: [email-masked] (Pavel Machek)
Date: Tue, 24 May 2016 21:49:03 +0200

Hi!

> > > I'm playing some more with N900, this time I'd like to use it as a
> > > alarm clock...
> > > 
> > > And now I realized I can not, because system performance is so
> > > horrible with screen off that mpg123 + pulseaudio skips horribly. This
> > > is without tweaking serial parameters, so CPU is definitely not going
> > > into the idle/off modes.
> > > 
> > > Loading CPU fixes the issue (I used cat /dev/zero > /dev/null).
> > > 
> > > Hmm. And it seems to work better if I ssh in and launch mpg123
> > > remotely. Weird.
> > > 
> > > Kernel 4.5-rc0. Will try on different ones.
> > > 
> > > Any ideas? Is there interface to tell kernel that better performance
> > > is needed for a while?
> 
> > pm_qos cpu_dma_latency? Drivers will have to be properly instrumented
> > with appropriate latency values -> this will control the depth in C
> > states that the system will attempt. NOTE: it is a dual edged sword,
> > bad configurations can result in none of the C-states being entered.
> 
> Ok, so far it looks like artefact of -rc0 kernel. Lets see if it
> reappers...

Hmm. So it happens in vanilla 4.4, too... let me see if it happens in
v4.6.

									Pavel
-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html